package com.ifavine.pay.api;


import com.ifavine.pay.vo.CanteenWindow;
import com.ifavine.pay.vo.CommonListResponse;
import com.ifavine.pay.vo.CommonResponse;
import com.ifavine.pay.vo.LocalRecordReport;
import com.ifavine.pay.vo.MonthRecordReport;
import com.ifavine.pay.vo.User;
import com.ifavine.pay.vo.WindowCostAmount;

import okhttp3.RequestBody;
import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.Field;
import retrofit2.http.FormUrlEncoded;

import retrofit2.http.POST;


public abstract interface APIService {


    @POST("WebChat/getMsgDaliyList")
    Call<CommonResponse<User>> getMsgDaliyList(@Field("data") String data);


    @POST("WebChat/getMeetingTaskReplyList")
    Call<CommonListResponse<User>> getMsgDaliyList2(@Field("data") String data);


    @POST("WebChat/GetServerDate")
    Call<CommonResponse<String>> GetServerDate(@Body RequestBody info);


    @POST("WebChat/GetLocalRecordReport")
    Call<CommonListResponse<LocalRecordReport>> GetLocalRecordReport(@Body RequestBody info);


    @POST("WebChat/GetMonthRecordReport")
    Call<CommonListResponse<MonthRecordReport>> GetMonthRecordReport(@Body RequestBody info);


    @POST("WebChat/GetConsumRecordReport")
    Call<CommonListResponse<LocalRecordReport>> GetConsumRecordReport(@Body RequestBody info);


    @POST("WechatPay/SubmitPaying")
    Call<CommonResponse<String>> SubmitPaying(@Body RequestBody body);


    @POST("WebChat/GetCanteenWindows")
    Call<CommonListResponse<CanteenWindow>> GetCanteenWindows(@Body RequestBody body);

    @POST("WebChat/SaveCanteenWindows")
    Call<CommonResponse> SaveCanteenWindows(@Body RequestBody body);

    @POST("WebChat/GetWindowCostAmount")
    Call<CommonListResponse<WindowCostAmount>> GetWindowCostAmount(@Body RequestBody body);


    @POST("WebChat/SaveWindowCostAmount")
    Call<CommonResponse> SaveWindowCostAmount(@Body RequestBody body);
}

